# -*- coding: utf-8 -*-
from setuphelpers import *
import json


def update_package():
    # Compile
    if isdir(r"c:\build"):
        remove_tree(r"c:\build")
    run(r'"C:\Program Files\Git\bin\git.exe" -c http.sslVerify=false clone  https://github.com/ibv/LDAP-Admin.git c:\build')
    run(r'"C:\Program Files\Git\bin\git.exe" -c http.sslVerify=false clone https://github.com/synopse/mORMot2.git c:\build\pltis_mormot2')

    try:
        run(r'C:\lazarus\lazbuild.exe  --build-ide="Normal IDE"')
    except:
        pass

    wget('https://synopse.info/files/mormot2static.7z','mormot2static.7z')
    run(r'"c:\Program Files\7-Zip\7z.exe" x -y mormot2static.7z -ostatic')
    remove_tree(r'c:\build\pltis_mormot2\static')
    os.rename('static',r'c:\build\pltis_mormot2\static')
    remove_file('mormot2static.7z')
    run(r'C:\lazarus\lazbuild.exe --add-package-link c:\build\pltis_mormot2\packages\lazarus\mormot2.lpk')

    run(r'C:\lazarus\lazbuild.exe c:\build\Source\LdapAdmin.lpi')

    #WAPT Package prepare
    filecopyto(r'c:\build\Source\LdapAdmin.exe','LdapAdmin.exe')
    packageversion = control.version.split('-')[1]
    control.version = get_file_properties('LdapAdmin.exe')['FileVersion'] + '-' + packageversion
    control.save_control_to_wapt()
